package classify_menu

import "time"

// ClassifyMenu 报告分类-子目录表
type ClassifyMenu struct {
	MenuID     int       `gorm:"primaryKey;column:menu_id;type:int(10) unsigned;not null" json:"menu_id"`                              // 子目录ID
	MenuName   string    `gorm:"column:menu_name;type:varchar(255);not null;default:''" json:"menu_name"`                              // 子目录名称
	ClassifyID int       `gorm:"index:idx_classify_id;column:classify_id;type:int(10) unsigned;not null;default:0" json:"classify_id"` // 分类ID
	Sort       int       `gorm:"column:sort;type:int(10) unsigned;not null;default:0" json:"sort"`                                     // 排序
	CreateTime time.Time `gorm:"column:create_time;type:datetime" json:"create_time"`                                                  // 创建时间
	ModifyTime time.Time `gorm:"column:modify_time;type:datetime" json:"modify_time"`                                                  // 更新时间
}

// TableName get sql table name.获取数据库表名
func (m *ClassifyMenu) TableName() string {
	return "classify_menu"
}

// ClassifyMenuRelation 报告分类-子目录关联表
type ClassifyMenuRelation struct {
	ID         int       `gorm:"primaryKey;column:id;type:int(10) unsigned;not null" json:"-"`                                        // 主键ID
	ClassifyID int       `gorm:"index:idx_classify_id;column:classify_id;type:int(10) unsigned;not null;default:0" json:"classifyId"` // 二级分类ID
	MenuID     int       `gorm:"index:idx_menu_id;column:menu_id;type:int(10) unsigned;not null;default:0" json:"menuId"`             // 子目录ID
	CreateTime time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`                                                  // 创建时间
}

// TableName get sql table name.获取数据库表名
func (m *ClassifyMenuRelation) TableName() string {
	return "classify_menu_relation"
}
